//	NPBAbout.cpp - About window.
//	--------------------------------------------------------------------------
//	This file is part of 'Niall's Pedal Board', a simple ASIO VST host.
//	Copyright (C) 2004-2005  Niall Moody
//	
//	This program is free software; you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation; either version 2 of the License, or
//	(at your option) any later version.
//	
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//	
//	You should have received a copy of the GNU General Public License
//	along with this program; if not, write to the Free Software
//	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//	
//	--------------------------------------------------------------------------
//	
//	You can e-mail me at niallmoody@yahoo.co.uk if you want.
//	
//	--------------------------------------------------------------------------

#include "NPBAbout.h"
#include "NPBImages.h"

NPBAbout::NPBAbout(Colour col):
DialogWindow(T("About"), col)
{
	setVisible(true);

	NPBAboutComponent *cont = new NPBAboutComponent(col);
	setContentComponent(cont);
}

//---------------------------------------------------------------
NPBAboutComponent::NPBAboutComponent(Colour col):
backColour(col)
{
	String tempstr;

	Background = ImageCache::getFromMemory(NPBImages::about_png, NPBImages::about_pngSize);

	addAndMakeVisible(Me = new Label(T("Me"), T("Niall's Pedal Board, written by Niall Moody.")));
	addAndMakeVisible(Website = new HyperlinkButton(T("http://www.niallmoody.com/programs.htm"), URL("http://www.niallmoody.com/programs.htm"), Colours::orange));
	addAndMakeVisible(JUCE = new Label(T("JUCE"), T("Written using the JUCE library.")));
	tempstr.printf("v%.2f", Version);
	addAndMakeVisible(Vers = new Label(T("Vers"), tempstr));
	addAndMakeVisible(ASIO = new Label(T("ASIO"), T("ASIO Technology by Steinberg.")));
	addAndMakeVisible(VST = new Label(T("VST"), T("VST Plug-In Technology by Steinberg.")));
}

void NPBAboutComponent::paint(Graphics& g)
{
	g.drawImageAt(Background, ((getWidth()-256)/2), (((getHeight()-128)/2)+6));
}

void NPBAboutComponent::resized()
{
	Me->setBounds(10, 10, 280, 20);
	Website->setBounds(18, 29, 280, 20);
	JUCE->setBounds(48, 50, 280, 20);
	Vers->setBounds(245, 185, 50, 20);
	ASIO->setBounds(45, 200, 280, 20);
	VST->setBounds(27, 220, 280, 20);
}
