//	StaticImage.cpp - Simple Component which just displays a static image.
//----------------------------------------------------------------------------
//	This file is part of 'Niall's Pedal Board', a simple ASIO VST host.
//	Copyright (C) 2004-2005  Niall Moody
//	
//	This program is free software; you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation; either version 2 of the License, or
//	(at your option) any later version.
//	
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//	
//	You should have received a copy of the GNU General Public License
//	along with this program; if not, write to the Free Software
//	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//	
//----------------------------------------------------------------------------
//	
//	You can e-mail me at niallmoody@yahoo.co.uk if you want.
//	
//----------------------------------------------------------------------------

#include <juce.h>
#include "StaticImage.h"

//----------------------------------------------------------------------------
StaticImage::StaticImage():
Component(),
image(0)
{
	
}

//----------------------------------------------------------------------------
StaticImage::StaticImage(Image *image):
Component()
{
	this->image = image;
	setSize(image->getWidth(), image->getHeight());
}

//----------------------------------------------------------------------------
StaticImage::~StaticImage()
{
	if(image)
		delete image;
}

//----------------------------------------------------------------------------
void StaticImage::paint(Graphics& g)
{
	g.drawImage(image,
				0,
				0,
				getWidth(),
				getHeight(),
				0,
				0,
				image->getWidth(),
				image->getHeight());
}

//----------------------------------------------------------------------------
void StaticImage::setImage(Image *val)
{
	if(image)
		delete image;

	image = val;
}
