///	FileMenu.h - The program's File menu.
///	--------------------------------------------------------------------------
///	This file is part of 'Niall's Pedal Board', a simple ASIO VST host.
///	Copyright (C) 2005  Niall Moody
///	
///	This program is free software; you can redistribute it and/or modify
///	it under the terms of the GNU General Public License as published by
///	the Free Software Foundation; either version 2 of the License, or
///	(at your option) any later version.
///	
///	This program is distributed in the hope that it will be useful,
///	but WITHOUT ANY WARRANTY; without even the implied warranty of
///	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
///	GNU General Public License for more details.
///	
///	You should have received a copy of the GNU General Public License
///	along with this program; if not, write to the Free Software
///	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
///	
///	--------------------------------------------------------------------------
///	
///	You can e-mail me at niallmoody@yahoo.co.uk if you want.
///	
///	--------------------------------------------------------------------------

#ifndef FILEMENU_H_
#define FILEMENU_H_

#include "../FactoryObject.h"

///	FactoryObject for the File menu on the main window.
class FileMenuComp : public FactoryObject
{
  public:
	FileMenuComp(ComponentFactory *factory, Component **windowComponent);
	~FileMenuComp() {};

	void create();

	static void setText(String val);
	static void setColourRed(int val);
	static void setColourGreen(int val);
	static void setColourBlue(int val);
  private:
	static String text;
	static int red;
	static int green;
	static int blue;
};

#endif
